
TYPO3.Flow - Feature # 1677

Status: Resolved Priority: Could have
Author: Bastian Waidelich Category: Persistence
Created: 2008-10-11 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Query: add convenience method returning the first object of a result set
Description

To retrieve one single object from a repository, one has to do something like this currently:

$objects = $query->execute();
if (count($objects) < 1) {
  return NULL;
}
return $objects[0];

Something like a "fetchOne()"-method in F3::TYPO3CR::Query::Query would be helpful:

$query->execute()->fetchOne();

or probably more like that

$query->fetchOne();

this could also set the limit to 1 to improve performance.

Related issues:
related to TYPO3.Flow - Feature # 2603: Implement magic findBy*() and findOne... Resolved 2009-02-10

History
#1 - 2008-10-22 18:22 - Karsten Dambekalns
- Project changed from TYPO3.TYPO3CR to TYPO3.Flow
- Category deleted (Query handling)

#2 - 2008-10-22 18:23 - Karsten Dambekalns
- Category set to Persistence

#3 - 2009-02-12 14:19 - Karsten Dambekalns
- Status changed from New to Resolved
- Assigned To set to Karsten Dambekalns
- % Done changed from 0 to 100

I consider this resolved as of changeset r1890 by Robert Lemke.
